installing a testing package emacs25 corrupts at totally

If none of the more specific forums is the right place to ask

installing a testing package emacs25 corrupts at totally

Postby MagicPoulp » 2018-11-05 21:39

installing a testing package emacs25 corrupts apt totally. There is nothing else that was done but a fresh debian isntall and a simple install command that usually works.

1. install a debian stretch from scratch
2. set up pinning
3. sudo apt-get install -t testing emacs25 emacs-goodies-el elpa-markdown-mode

If you have docker, or VMWare, it is quite easy to get the same error by doing the above.

Thank you in advance for the help. Quite annoying that one cannot install a basic program like emacs25.
MagicPoulp
 
Posts: 23
Joined: 2018-11-05 21:30

Re: installing a testing package emacs25 corrupts at totally

Postby Bulkley » 2018-11-05 22:08

If you are running Stretch (Stable), why are you trying to install anything from Testing?
Bulkley
 
Posts: 5645
Joined: 2006-02-11 18:35

Re: installing a testing package emacs25 corrupts at totally

Postby GarryRicketson » 2018-11-05 22:14

I think you need to clarify where you are getting this :
testing package emacs25

and
emacs25 emacs-goodies-el elpa-markdown-mode



This is what you should be installing, if you are using Debian Stretch:
https://packages.debian.org/stretch/emacs25
Did you try that ? If not, try it first, and let us know how it goes.
Quite annoying that one cannot install a basic program like emacs25.
It should not be a problem installing a basic program , when you install the correct version, IE: Debian Stretch , (stable) and the appropriate package for Debian Stretch ,(stable), Package: emacs25 (25.1+1-4+deb9u1)
Anything else, is not normal, nor supported. So please give us the exact version number of the package you are trying to install.
Maybe you need to read this:
https://wiki.debian.org/DontBreakDebian
The packages in the Debian repositories are known to work well and install properly. Only using software from the Debian repositories is also much safer than installing from random websites which could bundle malware and other security risk---snip---
Debian Stable should not be combined with other releases. If you're trying to install software that isn't available in the current Debian Stable release, it's not a good idea to add repositories for other Debian releases. The problems might not happen right away, but the next time you install updates.

The reason things can break is because the software packaged for one Debian release is built to be compatible with the rest of the software for that release. For example, installing packages from buster on a stretch system could also install newer versions of core libraries including libc6. This results in a system that is not testing or stable but a broken mix of the two.

Repositories that can create a FrankenDebian if used with Debian Stable:

Debian testing release (currently buster)
Debian unstable release (also known as sid)
User avatar
GarryRicketson
 
Posts: 5161
Joined: 2015-01-20 22:16
Location: Durango, Mexico

Re: installing a testing package emacs25 corrupts at totally

Postby MagicPoulp » 2018-11-05 22:53

Thank you. I knew about that FrankenDebian page. But I needed a reminder. I did not expect those packages to be in the stable release.

versions:
emacs 1:25.2+1-11
emacs-goodies-el 41

And to answer you I used pinning, they come from the testing branch.

Using non-supported packages that risk creating a FrankenDebian is still usful if one wants to experiment with newer packages. One can use docker or VMWare and try things in a sandbox. I did not lose anything in my case. I just have to reinstall Debian.

It is still interesting to understand how can apt become totally broken. There should be a way to reset it. I tried reinstalling the raw packages that I downloaded manually and installed wit hdpkg, but to no avail.

By the way, I found the same error in a post from another person saying "aptitude broken". So this may be a recurring issue. The apt error was the same for the other person.
viewtopic.php?f=5&t=138783&p=682596&hilit=aptitude+broken#p682596

I also think people were not helping enough that other guy since his aptitude broken problem is still there. And it can be interesting for other people. apt and aptitude internals have something like magic.
MagicPoulp
 
Posts: 23
Joined: 2018-11-05 21:30

Re: installing a testing package emacs25 corrupts at totally

Postby stevepusser » 2018-11-05 23:01

Perhaps if we had the complete list of what was installed or updated from Buster along with those emacs packages, (clearly printed out in the terminal output) we'd better know what could have gone wrong. But without the complete list, we're just arm-waving.

You could reproduce it by temporarily adding the Buster repo and doing a simulated install only to see what comes along with it.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Quod Libet 4.2.0, Pale Moon 28.2.0, wine-staging 3.20, GIMP 2.10.8, Liquorix kernel 4.18-22, Midori 6.0
User avatar
stevepusser
 
Posts: 10126
Joined: 2009-10-06 05:53

Re: installing a testing package emacs25 corrupts at totally

Postby Head_on_a_Stick » 2018-11-06 05:54

MagicPoulp wrote:I used pinning

^ This is what broke APT, please post your preferences file.
I suffer from depression and may lash out occasionally, try not to take it personally.
User avatar
Head_on_a_Stick
 
Posts: 8169
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: installing a testing package emacs25 corrupts at totally

Postby MagicPoulp » 2018-11-06 08:44

I don't think the pinning is wrongly configured. It worked before. I think that emacs25 in the testing branch has dependencies that corrupts apt on debian stable. It is quite obvious. 100 packages show up to install and just after apt gets broken.

As I said, I think it is interesting to find the underlying issue since it may be recurring and was already mentioned in another post. It is also interesting to know more about how to repair apt get from this corruption.

Here are the files you asked for in any case:

preferences file:

#backports are pinnined at 100 by default
# if this is not negative, a dist-upgrade can move too many packages to the backports versions
Package: *
Pin: release a=stretch-backports
Pin-Priority: -4

Package: *
Pin: release a=testing
Pin-Priority: -5

Package: *
Pin: release o=Debian
Pin-Priority: -10

append.list file:
# stretch-backports, pinned 100 by default so that it does not install by default
deb http://ftp.debian.org/debian stretch-backports main contrib non-free


# Testing repository - main, contrib and non-free branches
deb http://ftp.se.debian.org/debian testing main contrib non-free
deb-src http://ftp.se.debian.org/debian testing main contrib non-free


# Testing security updates repository
deb http://security.debian.org/ testing/updates main contrib non-free
deb-src http://security.debian.org/ testing/updates main contrib non-free


# Unstable repo main, contrib and non-free branches, no security updates here
deb http://ftp.se.debian.org/debian unstable main non-free contrib
deb-src http://ftp.se.debian.org/debian unstable main non-free contrib
MagicPoulp
 
Posts: 23
Joined: 2018-11-05 21:30

Re: installing a testing package emacs25 corrupts at totally

Postby dilberts_left_nut » 2018-11-06 09:03

You haven't "corrupted apt", just introduced a bunch of impossible dependencies by installing packages incompatible with your Stretch system.

The "underlying issue" is user error.
AdrianTM wrote:There's no hacker in my grandma...
User avatar
dilberts_left_nut
 
Posts: 4902
Joined: 2009-10-05 07:54
Location: enzed

Re: installing a testing package emacs25 corrupts at totally

Postby MagicPoulp » 2018-11-06 10:23

User error? Yes it is not supported. Still it can help move forward the testing branch to fix this issue. I will register it as a debian issue for the maintainer.

I found more precisely which command causes the problem. See in particular the "libapt-pkg-perl in the list".

sudo apt-get install -s -t testing emacs-goodies-el

Code: Select all

Reading package lists...
Building dependency tree...
Reading state information...
The following additional packages will be installed:
  apel at autopoint cmake cmake-data curl dctrl-tools debhelper debian-keyring
  devscripts dh-autoreconf dh-strip-nondeterminism dput dwz elpa-apache-mode
  elpa-async elpa-bar-cursor elpa-bm elpa-boxquote elpa-browse-kill-ring
  elpa-csv-mode elpa-debian-el elpa-devscripts elpa-diminish elpa-dpkg-dev-el
  elpa-eproject elpa-graphviz-dot-mode elpa-helm elpa-helm-core elpa-htmlize
  elpa-initsplit elpa-mutt-alias elpa-pod-mode elpa-popup elpa-session
  elpa-tabbar emacs emacs-bin-common emacs-common emacs-el emacs-gtk emacs25
  emacsen-common equivs gettext intltool-debian libalgorithm-diff-xs-perl
  libapt-pkg-perl libarchive-cpio-perl libarchive-zip-perl
  libb-hooks-endofscope-perl libb-hooks-op-check-perl libcairo-perl
  libcgi-fast-perl libcgi-pm-perl libclass-accessor-perl
  libclass-inspector-perl libclass-method-modifiers-perl
  libclass-xsaccessor-perl libclone-perl libcom-err2 libcomerr2
  libconvert-binhex-perl libcurl4 libdata-optlist-perl
  libdevel-callchecker-perl libdevel-globaldestruction-perl
  libdigest-bubblebabble-perl libdigest-hmac-perl libdistro-info-perl
  libdynaloader-functions-perl libemail-valid-perl libfcgi-perl
  libfile-chdir-perl libfile-fcntllock-perl libfile-homedir-perl
  libfile-stripnondeterminism-perl libfile-which-perl libfl2 libgdbm-compat4
  libgdbm6 libgetopt-long-descriptive-perl libgit-wrapper-perl libglib-perl
  libgpgme11 libgpm2 libgpm2:i386 libgtk2-perl libhtml-parser-perl
  libimport-into-perl libio-pty-perl libio-sessiondata-perl libio-string-perl
  libio-stringy-perl libipc-run-perl liblist-compare-perl
  liblist-moreutils-perl liblocale-gettext-perl libmagickcore-6.q16-6
  libmagickwand-6.q16-6 libmail-sendmail-perl libmime-tools-perl
  libmodule-implementation-perl libmodule-runtime-perl libmoo-perl
  libnamespace-clean-perl libncurses6 libncursesw6 libnet-dbus-perl
  libnet-dns-perl libnet-dns-sec-perl libnet-domain-tld-perl libnet-ip-perl
  libnet-libidn-perl libnet-ssleay-perl libnumber-compare-perl
  libnumber-range-perl libossp-uuid-perl libossp-uuid16 libpackage-stash-perl
  libpackage-stash-xs-perl libpango-perl libparams-classify-perl
  libparams-util-perl libparams-validate-perl libparse-debianchangelog-perl
  libpath-iterator-rule-perl libpath-tiny-perl libperl5.28 libperlio-gzip-perl
  libpod-constants-perl libregexp-pattern-license-perl librhash0
  librole-tiny-perl libsoap-lite-perl libsort-key-perl libsort-versions-perl
  libssl-dev libssl1.1 libstrictures-perl libstring-copyright-perl
  libstring-escape-perl libstring-shellquote-perl libsub-exporter-perl
  libsub-exporter-progressive-perl libsub-identify-perl libsub-install-perl
  libsub-name-perl libsub-quote-perl libsys-hostname-long-perl
  libtask-weaken-perl libtext-charwidth-perl libtext-glob-perl
  libtext-iconv-perl libtext-levenshtein-perl libtinfo6 libtokyocabinet9
  libtry-tiny-perl libunicode-utf8-perl libunistring2 libunwind8 libuv1
  libvariable-magic-perl libxml-libxml-perl libxml-parser-perl
  libxml-simple-perl libxmlrpc-lite-perl libyaml-libyaml-perl licensecheck
  lintian mutt patchutils perl perl-base perl-doc perl-modules-5.28 po-debconf
  python3-gpg python3-magic python3-unidiff strace t1utils texinfo wdiff
Suggested packages:
  cmake-doc ninja-build debtags dh-make adequate autopkgtest bls-standalone
  check-all-the-things cvs-buildpackage devscripts-el diffoscope disorderfs
  dose-extra duck faketime gnuplot how-can-i-help libdbd-pg-perl
  libnet-smtps-perl libterm-size-perl libyaml-syck-perl mozilla-devscripts
  piuparts postgresql-client quilt ratt reprotest svn-buildpackage w3m
  mini-dinstall rsync emacs-common-non-dfsg gettext-doc libasprintf-dev
  libgettextpo-dev libfont-freetype-perl gdbm-l10n gpm gpm:i386
  libgtk2-perl-doc libdata-dump-perl libmagickcore-6.q16-6-extra uuid
  libscalar-number-perl libhtml-template-perl libapache2-mod-perl2
  libmime-lite-perl libnet-jabber-perl libbareword-filehandles-perl
  libindirect-perl libmultidimensional-perl binutils-multiarch
  libtext-template-perl urlview mixmaster libterm-readline-gnu-perl
  | libterm-readline-perl-perl libmail-box-perl texlive-base
  texlive-latex-base texlive-generic-recommended texinfo-doc-nonfree
  texlive-fonts-recommended wdiff-doc
Recommended packages:
  elserv
The following packages will be REMOVED:
  emacs25-bin-common emacs25-common emacs25-el libcurl3
The following NEW packages will be installed:
  apel at autopoint dctrl-tools debhelper debian-keyring devscripts
  dh-autoreconf dh-strip-nondeterminism dput dwz elpa-apache-mode elpa-async
  elpa-bar-cursor elpa-bm elpa-boxquote elpa-browse-kill-ring elpa-csv-mode
  elpa-debian-el elpa-devscripts elpa-diminish elpa-dpkg-dev-el elpa-eproject
  elpa-graphviz-dot-mode elpa-helm elpa-helm-core elpa-htmlize elpa-initsplit
  elpa-mutt-alias elpa-pod-mode elpa-popup elpa-session elpa-tabbar emacs
  emacs-bin-common emacs-common emacs-el emacs-gtk equivs gettext
  intltool-debian libarchive-cpio-perl libarchive-zip-perl
  libb-hooks-endofscope-perl libb-hooks-op-check-perl libcgi-fast-perl
  libcgi-pm-perl libclass-accessor-perl libclass-inspector-perl
  libclass-method-modifiers-perl libclass-xsaccessor-perl libclone-perl
  libcom-err2 libconvert-binhex-perl libcurl4 libdata-optlist-perl
  libdevel-callchecker-perl libdevel-globaldestruction-perl
  libdigest-bubblebabble-perl libdigest-hmac-perl libdistro-info-perl
  libdynaloader-functions-perl libemail-valid-perl libfcgi-perl
  libfile-chdir-perl libfile-homedir-perl libfile-stripnondeterminism-perl
  libfile-which-perl libfl2 libgdbm6 libgetopt-long-descriptive-perl
  libgit-wrapper-perl libimport-into-perl libio-pty-perl
  libio-sessiondata-perl libio-string-perl libio-stringy-perl libipc-run-perl
  liblist-compare-perl libmagickcore-6.q16-6 libmagickwand-6.q16-6
  libmail-sendmail-perl libmime-tools-perl libmodule-implementation-perl
  libmodule-runtime-perl libmoo-perl libnamespace-clean-perl libncurses6
  libnet-dns-perl libnet-dns-sec-perl libnet-domain-tld-perl libnet-ip-perl
  libnet-libidn-perl libnumber-compare-perl libnumber-range-perl
  libossp-uuid-perl libossp-uuid16 libpackage-stash-perl
  libpackage-stash-xs-perl libparams-classify-perl libparams-util-perl
  libparams-validate-perl libparse-debianchangelog-perl
  libpath-iterator-rule-perl libpath-tiny-perl libperl5.28 libperlio-gzip-perl
  libpod-constants-perl libregexp-pattern-license-perl librhash0
  librole-tiny-perl libsoap-lite-perl libsort-key-perl libsort-versions-perl
  libstrictures-perl libstring-copyright-perl libstring-escape-perl
  libstring-shellquote-perl libsub-exporter-perl
  libsub-exporter-progressive-perl libsub-identify-perl libsub-install-perl
  libsub-name-perl libsub-quote-perl libsys-hostname-long-perl
  libtask-weaken-perl libtext-glob-perl libtext-levenshtein-perl
  libtokyocabinet9 libtry-tiny-perl libunicode-utf8-perl libunistring2
  libunwind8 libvariable-magic-perl libxml-simple-perl libxmlrpc-lite-perl
  libyaml-libyaml-perl licensecheck lintian mutt patchutils perl-modules-5.28
  po-debconf python3-gpg python3-magic python3-unidiff strace t1utils wdiff
The following packages will be upgraded:
  cmake cmake-data curl emacs-goodies-el emacs25 emacsen-common
  libalgorithm-diff-xs-perl libapt-pkg-perl libcairo-perl libcomerr2
  libfile-fcntllock-perl libgdbm-compat4 libglib-perl libgpgme11 libgpm2
  libgpm2:i386 libgtk2-perl libhtml-parser-perl liblist-moreutils-perl
  liblocale-gettext-perl libncursesw6 libnet-dbus-perl libnet-ssleay-perl
  libpango-perl libssl-dev libssl1.1 libtext-charwidth-perl libtext-iconv-perl
  libtinfo6 libuv1 libxml-libxml-perl libxml-parser-perl perl perl-base
  perl-doc texinfo
36 upgraded, 149 newly installed, 4 to remove and 1366 not upgraded.
Inst perl-doc [5.26.2-5] (5.28.0-3 Debian:testing, Debian:unstable [all]) []
Inst libxml-libxml-perl [2.0132+dfsg-2] (2.0132+dfsg-2+b1 Debian:testing, Debian:unstable [amd64]) []
Inst texinfo [6.5.0.dfsg.1-4] (6.5.0.dfsg.1-4+b1 Debian:testing, Debian:unstable [amd64]) []
Inst libgtk2-perl [2:1.24992-1+b1] (2:1.24992-1+b2 Debian:testing, Debian:unstable [amd64]) []
Inst libpango-perl [1.227-2+b1] (1.227-3+b1 Debian:testing, Debian:unstable [amd64]) []
Inst libtext-charwidth-perl [0.04-7.1] (0.04-7.1+b1 Debian:testing, Debian:unstable [amd64]) []
Inst perl [5.26.2-7] (5.28.0-3 Debian:testing, Debian:unstable [amd64]) []
Inst perl-modules-5.28 (5.28.0-3 Debian:testing, Debian:unstable [all]) []
Inst libgdbm6 (1.18.1-1 Debian:testing, Debian:unstable [amd64]) []
Inst libgdbm-compat4 [1.14.1-6+b1] (1.18.1-1 Debian:testing, Debian:unstable [amd64]) []
Inst libperl5.28 (5.28.0-3 Debian:testing, Debian:unstable [amd64]) []
Inst perl-base [5.26.2-7] (5.28.0-3 Debian:testing, Debian:unstable [amd64]) [liblocale-gettext-perl:amd64 on perlapi-5.26.0:amd64] [libnet-ssleay-perl:amd64 liblist-moreutils-perl:amd64 liblocale-gettext-perl:amd64 libfile-fcntllock-perl:amd64 libapt-pkg-perl:amd64 libcairo-perl:amd64 libnet-dbus-perl:amd64 libglib-perl:amd64 libxml-parser-perl:amd64 libtext-iconv-perl:amd64 libhtml-parser-perl:amd64 libalgorithm-diff-xs-perl:amd64 ]
Conf perl-base (5.28.0-3 Debian:testing, Debian:unstable [amd64]) [libnet-ssleay-perl:amd64 liblist-moreutils-perl:amd64 liblocale-gettext-perl:amd64 libfile-fcntllock-perl:amd64 libapt-pkg-perl:amd64 libcairo-perl:amd64 libnet-dbus-perl:amd64 libglib-perl:amd64 libxml-parser-perl:amd64 libtext-iconv-perl:amd64 libhtml-parser-perl:amd64 libalgorithm-diff-xs-perl:amd64 ]
Inst liblocale-gettext-perl [1.07-3+b3] (1.07-3+b4 Debian:testing, Debian:unstable [amd64]) [libnet-ssleay-perl:amd64 liblist-moreutils-perl:amd64 libfile-fcntllock-perl:amd64 libapt-pkg-perl:amd64 libcairo-perl:amd64 libnet-dbus-perl:amd64 libglib-perl:amd64 libxml-parser-perl:amd64 libtext-iconv-perl:amd64 libhtml-parser-perl:amd64 libalgorithm-diff-xs-perl:amd64 ]
Inst libxml-parser-perl [2.44-2+b3] (2.44-2+b4 Debian:testing, Debian:unstable [amd64]) [libnet-ssleay-perl:amd64 liblist-moreutils-perl:amd64 libfile-fcntllock-perl:amd64 libapt-pkg-perl:amd64 libcairo-perl:amd64 libnet-dbus-perl:amd64 libglib-perl:amd64 libtext-iconv-perl:amd64 libhtml-parser-perl:amd64 libalgorithm-diff-xs-perl:amd64 ]
Inst libhtml-parser-perl [3.72-3+b2] (3.72-3+b3 Debian:testing, Debian:unstable [amd64]) [libnet-ssleay-perl:amd64 liblist-moreutils-perl:amd64 libfile-fcntllock-perl:amd64 libapt-pkg-perl:amd64 libcairo-perl:amd64 libnet-dbus-perl:amd64 libglib-perl:amd64 libtext-iconv-perl:amd64 libalgorithm-diff-xs-perl:amd64 ]
Inst libtext-iconv-perl [1.7-5+b6] (1.7-5+b7 Debian:testing, Debian:unstable [amd64]) [libnet-ssleay-perl:amd64 liblist-moreutils-perl:amd64 libfile-fcntllock-perl:amd64 libapt-pkg-perl:amd64 libcairo-perl:amd64 libnet-dbus-perl:amd64 libglib-perl:amd64 libalgorithm-diff-xs-perl:amd64 ]
Inst libalgorithm-diff-xs-perl [0.04-4+b4] (0.04-5+b1 Debian:testing, Debian:unstable [amd64]) [libnet-ssleay-perl:amd64 liblist-moreutils-perl:amd64 libfile-fcntllock-perl:amd64 libapt-pkg-perl:amd64 libcairo-perl:amd64 libnet-dbus-perl:amd64 libglib-perl:amd64 ]
Inst libfile-fcntllock-perl [0.22-3+b4] (0.22-3+b5 Debian:testing, Debian:unstable [amd64]) [libnet-ssleay-perl:amd64 liblist-moreutils-perl:amd64 libapt-pkg-perl:amd64 libcairo-perl:amd64 libnet-dbus-perl:amd64 libglib-perl:amd64 ]
Inst libnet-dbus-perl [1.1.0-4+b3] (1.1.0-5+b1 Debian:testing, Debian:unstable [amd64]) [libnet-ssleay-perl:amd64 liblist-moreutils-perl:amd64 libapt-pkg-perl:amd64 libcairo-perl:amd64 libglib-perl:amd64 ]
Inst libssl-dev [1.1.0g-2] (1.1.1-2 Debian:testing, Debian:unstable [amd64]) [libnet-ssleay-perl:amd64 liblist-moreutils-perl:amd64 libapt-pkg-perl:amd64 libcairo-perl:amd64 libglib-perl:amd64 ]
Inst libssl1.1 [1.1.0g-2] (1.1.1-2 Debian:testing, Debian:unstable [amd64]) [libnet-ssleay-perl:amd64 liblist-moreutils-perl:amd64 libapt-pkg-perl:amd64 libcairo-perl:amd64 libglib-perl:amd64 ]
Inst libnet-ssleay-perl [1.80-1+b2] (1.85-2+b1 Debian:testing, Debian:unstable [amd64]) [liblist-moreutils-perl:amd64 libapt-pkg-perl:amd64 libcairo-perl:amd64 libglib-perl:amd64 ]
Inst libcairo-perl [1.106-2+b1] (1.106-3+b1 Debian:testing, Debian:unstable [amd64]) [liblist-moreutils-perl:amd64 libapt-pkg-perl:amd64 libglib-perl:amd64 ]
Inst libapt-pkg-perl [0.1.33] (0.1.34+b1 Debian:testing, Debian:unstable [amd64]) [liblist-moreutils-perl:amd64 libglib-perl:amd64 ]
Inst libglib-perl [3:1.326-1+b2] (3:1.328-1+b1 Debian:testing, Debian:unstable [amd64]) [liblist-moreutils-perl:amd64 ]
Inst liblist-moreutils-perl [0.416-1+b3] (0.416-1+b4 Debian:testing, Debian:unstable [amd64])
Remv emacs25-el [25.2+1-6]
Inst emacs-goodies-el [36.3+nmu1] (41.0 Debian:testing, Debian:unstable [all]) []
Inst emacs25 [25.2+1-6] (1:25.2+1-11 Debian:testing, Debian:unstable [all]) [elpa-markdown-mode:amd64 ]
Remv emacs25-bin-common [25.2+1-6] [elpa-markdown-mode:amd64 ]
Remv emacs25-common [25.2+1-6] [elpa-markdown-mode:amd64 ]
Inst emacsen-common [2.0.8] (3.0.4 Debian:testing, Debian:unstable [all]) [elpa-markdown-mode:amd64 ]
Inst emacs-common (1:25.2+1-11 Debian:testing, Debian:unstable [all]) [elpa-markdown-mode:amd64 ]
Inst emacs-bin-common (1:25.2+1-11 Debian:testing, Debian:unstable [amd64]) [elpa-markdown-mode:amd64 ]
Inst libgpm2 [1.20.4-6.2+b1] (1.20.7-5 Debian:testing, Debian:unstable [amd64]) [libgpm2:amd64 on libgpm2:i386] [libgpm2:i386 on libgpm2:amd64] [elpa-markdown-mode:amd64 libgpm2:i386 ]
Inst libgpm2:i386 [1.20.4-6.2+b1] (1.20.7-5 Debian:testing, Debian:unstable [i386]) [elpa-markdown-mode:amd64 ]
Inst libmagickcore-6.q16-6 (8:6.9.10.14+dfsg-5+b1 Debian:testing [amd64]) [elpa-markdown-mode:amd64 ]
Inst libmagickwand-6.q16-6 (8:6.9.10.14+dfsg-5+b1 Debian:testing [amd64]) [elpa-markdown-mode:amd64 ]
Inst libncursesw6 [6.1+20180714-1] (6.1+20181013-1 Debian:testing, Debian:unstable [amd64]) [elpa-markdown-mode:amd64 ]
Inst libtinfo6 [6.1+20180714-1] (6.1+20181013-1 Debian:testing, Debian:unstable [amd64]) [elpa-markdown-mode:amd64 ]
Inst emacs-gtk (1:25.2+1-11 Debian:testing, Debian:unstable [amd64]) []
Inst emacs (1:25.2+1-11 Debian:testing, Debian:unstable [all]) []
Inst elpa-browse-kill-ring (2.0.0-1 Debian:testing, Debian:unstable [all]) []
Inst elpa-diminish (0.45-2 Debian:testing, Debian:unstable [all]) []
Inst elpa-htmlize (1.54-1 Debian:testing, Debian:unstable [all]) []
Inst elpa-debian-el (37.8 Debian:testing, Debian:unstable [all]) []
Inst elpa-dpkg-dev-el (37.7 Debian:testing, Debian:unstable [all]) []
Inst elpa-csv-mode (1.7-1 Debian:testing, Debian:unstable [all]) []
Inst elpa-graphviz-dot-mode (0.4+41+gc456a2b-1 Debian:testing, Debian:unstable [all]) []
Inst elpa-apache-mode (2.1+4.g97bf66c-2 Debian:testing, Debian:unstable [all]) []
Inst elpa-boxquote (2.1-2 Debian:testing, Debian:unstable [all]) []
Inst elpa-session (2.4b-1 Debian:testing, Debian:unstable [all]) []
Inst elpa-pod-mode (1.03-1 Debian:testing, Debian:unstable [all]) []
Inst elpa-tabbar (2.2-1 Debian:testing, Debian:unstable [all]) []
Inst elpa-async (1.9.3-1 Debian:testing, Debian:unstable [all]) []
Inst elpa-popup (0.5.3-2 Debian:testing, Debian:unstable [all]) []
Inst elpa-helm-core (3.0-1 Debian:testing, Debian:unstable [all]) []
Inst elpa-helm (3.0-1 Debian:testing, Debian:unstable [all]) []
Inst elpa-eproject (1.5+git20180312.068218d-1 Debian:testing, Debian:unstable [all]) []
Inst elpa-initsplit (1.8+3+gc941d43-1 Debian:testing, Debian:unstable [all]) []
Inst apel (10.8+0.20120427-18 Debian:testing, Debian:unstable [all]) []
Inst elpa-devscripts (40.3 Debian:testing, Debian:unstable [all]) []
Inst elpa-bar-cursor (2.0-1 Debian:testing, Debian:unstable [all])
Inst libcomerr2 [1.43.4-2] (1.44.4-2 Debian:testing, Debian:unstable [amd64]) []
Inst libcom-err2 (1.44.4-2 Debian:testing, Debian:unstable [amd64])
Conf libcom-err2 (1.44.4-2 Debian:testing, Debian:unstable [amd64])
Inst curl [7.58.0-2] (7.61.0-1 Debian:testing [amd64]) []
Inst cmake [3.7.2-1] (3.12.3-3 Debian:testing, Debian:unstable [amd64]) []
Remv libcurl3 [7.58.0-2] [slack-desktop:amd64 ]
Inst libcurl4 (7.61.0-1 Debian:testing [amd64]) []
Inst cmake-data [3.7.2-1] (3.12.3-3 Debian:testing, Debian:unstable [all]) []
Inst librhash0 (1.3.6-3 Debian:testing, Debian:unstable [amd64]) []
Inst libuv1 [1.9.1-3] (1.23.2-1 Debian:testing, Debian:unstable [amd64])
Inst libfl2 (2.6.4-6.2 Debian:testing, Debian:unstable [amd64])
Inst at (3.1.23-1 Debian:testing, Debian:unstable [amd64])
Inst autopoint (0.19.8.1-8 Debian:testing, Debian:unstable [all])
Inst dctrl-tools (2.24-3 Debian:testing, Debian:unstable [amd64])
Inst dh-autoreconf (19 Debian:testing, Debian:unstable [all]) []
Inst libarchive-zip-perl (1.64-1 Debian:testing, Debian:unstable [all]) []
Inst libfile-stripnondeterminism-perl (0.043-2 Debian:testing, Debian:unstable [all]) []
Inst dh-strip-nondeterminism (0.043-2 Debian:testing, Debian:unstable [all]) []
Inst dwz (0.12-2 Debian:testing, Debian:unstable [amd64]) []
Inst libncurses6 (6.1+20181013-1 Debian:testing, Debian:unstable [amd64]) []
Inst libunistring2 (0.9.10-1 Debian:testing, Debian:unstable [amd64]) []
Inst gettext (0.19.8.1-8 Debian:testing, Debian:unstable [amd64]) []
Inst intltool-debian (0.35.0+20060710.4 Debian:9.5/stable, Debian:testing, Debian:unstable [all]) []
Inst po-debconf (1.0.20 Debian:9.5/stable, Debian:testing, Debian:unstable [all]) []
Inst debhelper (11.5.1 Debian:testing, Debian:unstable [all])
Inst debian-keyring (2018.09.30 Debian:testing, Debian:unstable [all])
Inst libfile-which-perl (1.22-1 Debian:testing, Debian:unstable [all])
Inst libfile-homedir-perl (1.004-1 Debian:testing, Debian:unstable [all])
Inst libio-pty-perl (1:1.08-1.1+b5 Debian:testing, Debian:unstable [amd64])
Inst libipc-run-perl (20180523.0-1 Debian:testing, Debian:unstable [all])
Inst libclass-method-modifiers-perl (2.12-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libsub-exporter-progressive-perl (0.001013-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libdevel-globaldestruction-perl (0.14-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libb-hooks-op-check-perl (0.22-1+b1 Debian:testing, Debian:unstable [amd64])
Inst libdynaloader-functions-perl (0.003-1 Debian:testing, Debian:unstable [all])
Inst libdevel-callchecker-perl (0.007-2+b2 Debian:testing, Debian:unstable [amd64])
Inst libparams-classify-perl (0.015-1+b1 Debian:testing, Debian:unstable [amd64])
Inst libmodule-runtime-perl (0.016-1 Debian:testing, Debian:unstable [all])
Inst libimport-into-perl (1.002005-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst librole-tiny-perl (2.000006-1 Debian:testing, Debian:unstable [all])
Inst libstrictures-perl (2.000005-1 Debian:testing, Debian:unstable [all])
Inst libsub-quote-perl (2.005001-1 Debian:testing, Debian:unstable [all])
Inst libmoo-perl (2.003004-2 Debian:testing, Debian:unstable [all])
Inst patchutils (0.3.4-2 Debian:9.5/stable, Debian:testing, Debian:unstable [amd64])
Inst wdiff (1.2.2-2+b1 Debian:testing, Debian:unstable [amd64])
Inst devscripts (2.18.7 Debian:testing, Debian:unstable [amd64])
Inst libgpgme11 [1.9.0-6] (1.12.0-4 Debian:testing, Debian:unstable [amd64])
Inst python3-gpg (1.12.0-4 Debian:testing, Debian:unstable [amd64])
Inst dput (1.0.2 Debian:testing, Debian:unstable [all])
Inst elpa-bm (201808-1 Debian:testing, Debian:unstable [all])
Inst elpa-mutt-alias (1.5-1 Debian:testing, Debian:unstable [all])
Inst emacs-el (1:25.2+1-11 Debian:testing, Debian:unstable [all])
Inst equivs (2.1.1 Debian:testing, Debian:unstable [all])
Inst libarchive-cpio-perl (0.10-1 Debian:testing, Debian:unstable [all])
Inst libtry-tiny-perl (0.30-1 Debian:testing, Debian:unstable [all])
Inst libmodule-implementation-perl (0.09-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libvariable-magic-perl (0.62-1+b1 Debian:testing, Debian:unstable [amd64])
Inst libb-hooks-endofscope-perl (0.24-1 Debian:testing, Debian:unstable [all])
Inst libcgi-pm-perl (4.40-1 Debian:testing, Debian:unstable [all])
Inst libfcgi-perl (0.78-2+b3 Debian:testing, Debian:unstable [amd64])
Inst libcgi-fast-perl (1:2.13-1 Debian:testing, Debian:unstable [all])
Inst libsub-name-perl (0.21-1+b3 Debian:testing, Debian:unstable [amd64])
Inst libclass-accessor-perl (0.51-1 Debian:testing, Debian:unstable [all])
Inst libclass-inspector-perl (1.32-1 Debian:testing, Debian:unstable [all])
Inst libclass-xsaccessor-perl (1.19-3+b1 Debian:testing, Debian:unstable [amd64])
Inst libclone-perl (0.41-1+b1 Debian:testing, Debian:unstable [amd64])
Inst libconvert-binhex-perl (1.125-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libparams-util-perl (1.07-3+b4 Debian:testing, Debian:unstable [amd64])
Inst libsub-install-perl (0.928-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libdata-optlist-perl (0.110-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libdigest-bubblebabble-perl (0.02-2 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libdigest-hmac-perl (1.03+dfsg-2 Debian:testing, Debian:unstable [all])
Inst libdistro-info-perl (0.20 Debian:testing, Debian:unstable [all])
Inst libnet-ip-perl (1.26-2 Debian:testing, Debian:unstable [all])
Inst libnet-dns-perl (1.17-1 Debian:testing, Debian:unstable [all])
Inst libnet-domain-tld-perl (1.75-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libemail-valid-perl (1.202-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libfile-chdir-perl (0.1008-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libio-stringy-perl (2.111-2 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libparams-validate-perl (1.29-1+b1 Debian:testing, Debian:unstable [amd64])
Inst libsub-exporter-perl (0.987-1 Debian:testing, Debian:unstable [all])
Inst libgetopt-long-descriptive-perl (0.103-2 Debian:testing, Debian:unstable [all])
Inst libsort-versions-perl (1.62-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libgit-wrapper-perl (0.048-1 Debian:testing, Debian:unstable [all])
Inst libio-sessiondata-perl (1.03-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libio-string-perl (1.08-3 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst liblist-compare-perl (0.53-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libsys-hostname-long-perl (1.5-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libmail-sendmail-perl (0.80-1 Debian:testing, Debian:unstable [all])
Inst libmime-tools-perl (5.509-1 Debian:testing, Debian:unstable [all])
Inst libpackage-stash-perl (0.37-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libsub-identify-perl (0.14-1+b1 Debian:testing, Debian:unstable [amd64])
Inst libnamespace-clean-perl (0.27-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libnet-dns-sec-perl (1.10-2+b1 Debian:testing, Debian:unstable [amd64])
Inst libnet-libidn-perl (0.12.ds-3+b1 Debian:testing, Debian:unstable [amd64])
Inst libnumber-compare-perl (0.03-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libnumber-range-perl (0.12-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libossp-uuid16 (1.6.2-1.5+b7 Debian:testing, Debian:unstable [amd64])
Inst libossp-uuid-perl (1.6.2-1.5+b7 Debian:testing, Debian:unstable [amd64])
Inst libpackage-stash-xs-perl (0.28-3+b4 Debian:testing, Debian:unstable [amd64])
Inst libparse-debianchangelog-perl (1.2.0-13 Debian:testing, Debian:unstable [all])
Inst libtext-glob-perl (0.10-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libpath-iterator-rule-perl (1.014-1 Debian:testing, Debian:unstable [all])
Inst libpath-tiny-perl (0.108-1 Debian:testing, Debian:unstable [all])
Inst libperlio-gzip-perl (0.19-1+b5 Debian:testing, Debian:unstable [amd64])
Inst libpod-constants-perl (0.19-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libregexp-pattern-license-perl (3.0.31-3 Debian:testing [all])
Inst libtask-weaken-perl (1.06-1 Debian:testing, Debian:unstable [all])
Inst libsoap-lite-perl (1.27-1 Debian:testing, Debian:unstable [all])
Inst libsort-key-perl (1.33-2+b1 Debian:testing, Debian:unstable [amd64])
Inst libstring-copyright-perl (0.003005-1 Debian:9.5/stable, Debian:testing [all])
Inst libstring-escape-perl (2010.002-2 Debian:testing, Debian:unstable [all])
Inst libstring-shellquote-perl (1.04-1 Debian:testing, Debian:unstable [all])
Inst libtext-levenshtein-perl (0.13-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libtokyocabinet9 (1.4.48-12 Debian:testing, Debian:unstable [amd64])
Inst libunicode-utf8-perl (0.60-1+b5 Debian:testing, Debian:unstable [amd64])
Inst libunwind8 (1.2.1-8 Debian:testing, Debian:unstable [amd64])
Inst libxml-simple-perl (2.25-1 Debian:testing, Debian:unstable [all])
Inst libxmlrpc-lite-perl (0.717-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Inst libyaml-libyaml-perl (0.74+repack-1+b1 Debian:testing, Debian:unstable [amd64])
Inst licensecheck (3.0.31-2 Debian:testing [all])
Inst t1utils (1.41-2 Debian:testing, Debian:unstable [amd64])
Inst lintian (2.5.111 Debian:testing, Debian:unstable [all])
Inst mutt (1.10.1-2 Debian:testing, Debian:unstable [amd64])
Inst python3-magic (2:0.4.15-2 Debian:testing, Debian:unstable [all])
Inst python3-unidiff (0.5.4-1 Debian:testing, Debian:unstable [all])
Inst strace (4.21-1 Debian:testing, Debian:unstable [amd64])
Conf perl-doc (5.28.0-3 Debian:testing, Debian:unstable [all])
Conf libxml-libxml-perl (2.0132+dfsg-2+b1 Debian:testing, Debian:unstable [amd64])
Conf texinfo (6.5.0.dfsg.1-4+b1 Debian:testing, Debian:unstable [amd64])
Conf libgtk2-perl (2:1.24992-1+b2 Debian:testing, Debian:unstable [amd64])
Conf libpango-perl (1.227-3+b1 Debian:testing, Debian:unstable [amd64])
Conf libtext-charwidth-perl (0.04-7.1+b1 Debian:testing, Debian:unstable [amd64])
Conf perl (5.28.0-3 Debian:testing, Debian:unstable [amd64])
Conf perl-modules-5.28 (5.28.0-3 Debian:testing, Debian:unstable [all])
Conf libgdbm6 (1.18.1-1 Debian:testing, Debian:unstable [amd64])
Conf libgdbm-compat4 (1.18.1-1 Debian:testing, Debian:unstable [amd64])
Conf libperl5.28 (5.28.0-3 Debian:testing, Debian:unstable [amd64])
Conf liblocale-gettext-perl (1.07-3+b4 Debian:testing, Debian:unstable [amd64])
Conf libxml-parser-perl (2.44-2+b4 Debian:testing, Debian:unstable [amd64])
Conf libhtml-parser-perl (3.72-3+b3 Debian:testing, Debian:unstable [amd64])
Conf libtext-iconv-perl (1.7-5+b7 Debian:testing, Debian:unstable [amd64])
Conf libalgorithm-diff-xs-perl (0.04-5+b1 Debian:testing, Debian:unstable [amd64])
Conf libfile-fcntllock-perl (0.22-3+b5 Debian:testing, Debian:unstable [amd64])
Conf libnet-dbus-perl (1.1.0-5+b1 Debian:testing, Debian:unstable [amd64])
Conf libssl-dev (1.1.1-2 Debian:testing, Debian:unstable [amd64])
Conf libssl1.1 (1.1.1-2 Debian:testing, Debian:unstable [amd64])
Conf libnet-ssleay-perl (1.85-2+b1 Debian:testing, Debian:unstable [amd64])
Conf libcairo-perl (1.106-3+b1 Debian:testing, Debian:unstable [amd64])
Conf libapt-pkg-perl (0.1.34+b1 Debian:testing, Debian:unstable [amd64])
Conf libglib-perl (3:1.328-1+b1 Debian:testing, Debian:unstable [amd64])
Conf liblist-moreutils-perl (0.416-1+b4 Debian:testing, Debian:unstable [amd64])
Conf emacs-goodies-el (41.0 Debian:testing, Debian:unstable [all])
Conf emacs25 (1:25.2+1-11 Debian:testing, Debian:unstable [all])
Conf emacsen-common (3.0.4 Debian:testing, Debian:unstable [all])
Conf emacs-common (1:25.2+1-11 Debian:testing, Debian:unstable [all])
Conf emacs-bin-common (1:25.2+1-11 Debian:testing, Debian:unstable [amd64])
Conf libgpm2 (1.20.7-5 Debian:testing, Debian:unstable [amd64])
Conf libgpm2:i386 (1.20.7-5 Debian:testing, Debian:unstable [i386])
Conf libmagickcore-6.q16-6 (8:6.9.10.14+dfsg-5+b1 Debian:testing [amd64])
Conf libmagickwand-6.q16-6 (8:6.9.10.14+dfsg-5+b1 Debian:testing [amd64])
Conf libncursesw6 (6.1+20181013-1 Debian:testing, Debian:unstable [amd64])
Conf libtinfo6 (6.1+20181013-1 Debian:testing, Debian:unstable [amd64])
Conf emacs-gtk (1:25.2+1-11 Debian:testing, Debian:unstable [amd64])
Conf emacs (1:25.2+1-11 Debian:testing, Debian:unstable [all])
Conf elpa-browse-kill-ring (2.0.0-1 Debian:testing, Debian:unstable [all])
Conf elpa-diminish (0.45-2 Debian:testing, Debian:unstable [all])
Conf elpa-htmlize (1.54-1 Debian:testing, Debian:unstable [all])
Conf elpa-debian-el (37.8 Debian:testing, Debian:unstable [all])
Conf elpa-dpkg-dev-el (37.7 Debian:testing, Debian:unstable [all])
Conf elpa-csv-mode (1.7-1 Debian:testing, Debian:unstable [all])
Conf elpa-graphviz-dot-mode (0.4+41+gc456a2b-1 Debian:testing, Debian:unstable [all])
Conf elpa-apache-mode (2.1+4.g97bf66c-2 Debian:testing, Debian:unstable [all])
Conf elpa-boxquote (2.1-2 Debian:testing, Debian:unstable [all])
Conf elpa-session (2.4b-1 Debian:testing, Debian:unstable [all])
Conf elpa-pod-mode (1.03-1 Debian:testing, Debian:unstable [all])
Conf elpa-tabbar (2.2-1 Debian:testing, Debian:unstable [all])
Conf elpa-async (1.9.3-1 Debian:testing, Debian:unstable [all])
Conf elpa-popup (0.5.3-2 Debian:testing, Debian:unstable [all])
Conf elpa-helm-core (3.0-1 Debian:testing, Debian:unstable [all])
Conf elpa-helm (3.0-1 Debian:testing, Debian:unstable [all])
Conf elpa-eproject (1.5+git20180312.068218d-1 Debian:testing, Debian:unstable [all])
Conf elpa-initsplit (1.8+3+gc941d43-1 Debian:testing, Debian:unstable [all])
Conf apel (10.8+0.20120427-18 Debian:testing, Debian:unstable [all])
Conf elpa-devscripts (40.3 Debian:testing, Debian:unstable [all])
Conf elpa-bar-cursor (2.0-1 Debian:testing, Debian:unstable [all])
Conf libcomerr2 (1.44.4-2 Debian:testing, Debian:unstable [amd64])
Conf curl (7.61.0-1 Debian:testing [amd64])
Conf cmake (3.12.3-3 Debian:testing, Debian:unstable [amd64])
Conf libcurl4 (7.61.0-1 Debian:testing [amd64])
Conf cmake-data (3.12.3-3 Debian:testing, Debian:unstable [all])
Conf librhash0 (1.3.6-3 Debian:testing, Debian:unstable [amd64])
Conf libuv1 (1.23.2-1 Debian:testing, Debian:unstable [amd64])
Conf libfl2 (2.6.4-6.2 Debian:testing, Debian:unstable [amd64])
Conf at (3.1.23-1 Debian:testing, Debian:unstable [amd64])
Conf autopoint (0.19.8.1-8 Debian:testing, Debian:unstable [all])
Conf dctrl-tools (2.24-3 Debian:testing, Debian:unstable [amd64])
Conf dh-autoreconf (19 Debian:testing, Debian:unstable [all])
Conf libarchive-zip-perl (1.64-1 Debian:testing, Debian:unstable [all])
Conf libfile-stripnondeterminism-perl (0.043-2 Debian:testing, Debian:unstable [all])
Conf dh-strip-nondeterminism (0.043-2 Debian:testing, Debian:unstable [all])
Conf dwz (0.12-2 Debian:testing, Debian:unstable [amd64])
Conf libncurses6 (6.1+20181013-1 Debian:testing, Debian:unstable [amd64])
Conf libunistring2 (0.9.10-1 Debian:testing, Debian:unstable [amd64])
Conf gettext (0.19.8.1-8 Debian:testing, Debian:unstable [amd64])
Conf intltool-debian (0.35.0+20060710.4 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf po-debconf (1.0.20 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf debhelper (11.5.1 Debian:testing, Debian:unstable [all])
Conf debian-keyring (2018.09.30 Debian:testing, Debian:unstable [all])
Conf libfile-which-perl (1.22-1 Debian:testing, Debian:unstable [all])
Conf libfile-homedir-perl (1.004-1 Debian:testing, Debian:unstable [all])
Conf libio-pty-perl (1:1.08-1.1+b5 Debian:testing, Debian:unstable [amd64])
Conf libipc-run-perl (20180523.0-1 Debian:testing, Debian:unstable [all])
Conf libclass-method-modifiers-perl (2.12-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libsub-exporter-progressive-perl (0.001013-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libdevel-globaldestruction-perl (0.14-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libb-hooks-op-check-perl (0.22-1+b1 Debian:testing, Debian:unstable [amd64])
Conf libdynaloader-functions-perl (0.003-1 Debian:testing, Debian:unstable [all])
Conf libdevel-callchecker-perl (0.007-2+b2 Debian:testing, Debian:unstable [amd64])
Conf libparams-classify-perl (0.015-1+b1 Debian:testing, Debian:unstable [amd64])
Conf libmodule-runtime-perl (0.016-1 Debian:testing, Debian:unstable [all])
Conf libimport-into-perl (1.002005-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf librole-tiny-perl (2.000006-1 Debian:testing, Debian:unstable [all])
Conf libstrictures-perl (2.000005-1 Debian:testing, Debian:unstable [all])
Conf libsub-quote-perl (2.005001-1 Debian:testing, Debian:unstable [all])
Conf libmoo-perl (2.003004-2 Debian:testing, Debian:unstable [all])
Conf patchutils (0.3.4-2 Debian:9.5/stable, Debian:testing, Debian:unstable [amd64])
Conf wdiff (1.2.2-2+b1 Debian:testing, Debian:unstable [amd64])
Conf devscripts (2.18.7 Debian:testing, Debian:unstable [amd64])
Conf libgpgme11 (1.12.0-4 Debian:testing, Debian:unstable [amd64])
Conf python3-gpg (1.12.0-4 Debian:testing, Debian:unstable [amd64])
Conf dput (1.0.2 Debian:testing, Debian:unstable [all])
Conf elpa-bm (201808-1 Debian:testing, Debian:unstable [all])
Conf elpa-mutt-alias (1.5-1 Debian:testing, Debian:unstable [all])
Conf emacs-el (1:25.2+1-11 Debian:testing, Debian:unstable [all])
Conf equivs (2.1.1 Debian:testing, Debian:unstable [all])
Conf libarchive-cpio-perl (0.10-1 Debian:testing, Debian:unstable [all])
Conf libtry-tiny-perl (0.30-1 Debian:testing, Debian:unstable [all])
Conf libmodule-implementation-perl (0.09-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libvariable-magic-perl (0.62-1+b1 Debian:testing, Debian:unstable [amd64])
Conf libb-hooks-endofscope-perl (0.24-1 Debian:testing, Debian:unstable [all])
Conf libcgi-pm-perl (4.40-1 Debian:testing, Debian:unstable [all])
Conf libfcgi-perl (0.78-2+b3 Debian:testing, Debian:unstable [amd64])
Conf libcgi-fast-perl (1:2.13-1 Debian:testing, Debian:unstable [all])
Conf libsub-name-perl (0.21-1+b3 Debian:testing, Debian:unstable [amd64])
Conf libclass-accessor-perl (0.51-1 Debian:testing, Debian:unstable [all])
Conf libclass-inspector-perl (1.32-1 Debian:testing, Debian:unstable [all])
Conf libclass-xsaccessor-perl (1.19-3+b1 Debian:testing, Debian:unstable [amd64])
Conf libclone-perl (0.41-1+b1 Debian:testing, Debian:unstable [amd64])
Conf libconvert-binhex-perl (1.125-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libparams-util-perl (1.07-3+b4 Debian:testing, Debian:unstable [amd64])
Conf libsub-install-perl (0.928-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libdata-optlist-perl (0.110-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libdigest-bubblebabble-perl (0.02-2 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libdigest-hmac-perl (1.03+dfsg-2 Debian:testing, Debian:unstable [all])
Conf libdistro-info-perl (0.20 Debian:testing, Debian:unstable [all])
Conf libnet-ip-perl (1.26-2 Debian:testing, Debian:unstable [all])
Conf libnet-dns-perl (1.17-1 Debian:testing, Debian:unstable [all])
Conf libnet-domain-tld-perl (1.75-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libemail-valid-perl (1.202-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libfile-chdir-perl (0.1008-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libio-stringy-perl (2.111-2 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libparams-validate-perl (1.29-1+b1 Debian:testing, Debian:unstable [amd64])
Conf libsub-exporter-perl (0.987-1 Debian:testing, Debian:unstable [all])
Conf libgetopt-long-descriptive-perl (0.103-2 Debian:testing, Debian:unstable [all])
Conf libsort-versions-perl (1.62-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libgit-wrapper-perl (0.048-1 Debian:testing, Debian:unstable [all])
Conf libio-sessiondata-perl (1.03-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libio-string-perl (1.08-3 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf liblist-compare-perl (0.53-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libsys-hostname-long-perl (1.5-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libmail-sendmail-perl (0.80-1 Debian:testing, Debian:unstable [all])
Conf libmime-tools-perl (5.509-1 Debian:testing, Debian:unstable [all])
Conf libpackage-stash-perl (0.37-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libsub-identify-perl (0.14-1+b1 Debian:testing, Debian:unstable [amd64])
Conf libnamespace-clean-perl (0.27-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libnet-dns-sec-perl (1.10-2+b1 Debian:testing, Debian:unstable [amd64])
Conf libnet-libidn-perl (0.12.ds-3+b1 Debian:testing, Debian:unstable [amd64])
Conf libnumber-compare-perl (0.03-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libnumber-range-perl (0.12-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libossp-uuid16 (1.6.2-1.5+b7 Debian:testing, Debian:unstable [amd64])
Conf libossp-uuid-perl (1.6.2-1.5+b7 Debian:testing, Debian:unstable [amd64])
Conf libpackage-stash-xs-perl (0.28-3+b4 Debian:testing, Debian:unstable [amd64])
Conf libparse-debianchangelog-perl (1.2.0-13 Debian:testing, Debian:unstable [all])
Conf libtext-glob-perl (0.10-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libpath-iterator-rule-perl (1.014-1 Debian:testing, Debian:unstable [all])
Conf libpath-tiny-perl (0.108-1 Debian:testing, Debian:unstable [all])
Conf libperlio-gzip-perl (0.19-1+b5 Debian:testing, Debian:unstable [amd64])
Conf libpod-constants-perl (0.19-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libregexp-pattern-license-perl (3.0.31-3 Debian:testing [all])
Conf libtask-weaken-perl (1.06-1 Debian:testing, Debian:unstable [all])
Conf libsoap-lite-perl (1.27-1 Debian:testing, Debian:unstable [all])
Conf libsort-key-perl (1.33-2+b1 Debian:testing, Debian:unstable [amd64])
Conf libstring-copyright-perl (0.003005-1 Debian:9.5/stable, Debian:testing [all])
Conf libstring-escape-perl (2010.002-2 Debian:testing, Debian:unstable [all])
Conf libstring-shellquote-perl (1.04-1 Debian:testing, Debian:unstable [all])
Conf libtext-levenshtein-perl (0.13-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libtokyocabinet9 (1.4.48-12 Debian:testing, Debian:unstable [amd64])
Conf libunicode-utf8-perl (0.60-1+b5 Debian:testing, Debian:unstable [amd64])
Conf libunwind8 (1.2.1-8 Debian:testing, Debian:unstable [amd64])
Conf libxml-simple-perl (2.25-1 Debian:testing, Debian:unstable [all])
Conf libxmlrpc-lite-perl (0.717-1 Debian:9.5/stable, Debian:testing, Debian:unstable [all])
Conf libyaml-libyaml-perl (0.74+repack-1+b1 Debian:testing, Debian:unstable [amd64])
Conf licensecheck (3.0.31-2 Debian:testing [all])
Conf t1utils (1.41-2 Debian:testing, Debian:unstable [amd64])
Conf lintian (2.5.111 Debian:testing, Debian:unstable [all])
Conf mutt (1.10.1-2 Debian:testing, Debian:unstable [amd64])
Conf python3-magic (2:0.4.15-2 Debian:testing, Debian:unstable [all])
Conf python3-unidiff (0.5.4-1 Debian:testing, Debian:unstable [all])
Conf strace (4.21-1 Debian:testing, Debian:unstable [amd64])


8 months ago I installed this package emacs-goodies-el and it worked fine. Version: 36.3+nmu1
Code: Select all
Package: emacs-goodies-el
Status: install ok installed
Priority: optional
Section: editors
Installed-Size: 3352
Maintainer: Peter S Galbraith <psg@debian.org>
Architecture: all
Version: 36.3+nmu1
Replaces: emacs-goodies-extra-el
Provides: emacs-goodies-extra-el
Depends: emacs | emacsen, emacsen-common (>= 2.0.8), bash (>= 2.05a) | bash-static, dpkg (>= 1.15.4) | install-info
Recommends: wget, perl-doc
Conffiles:
 /etc/emacs/site-start.d/50emacs-goodies-el.el b3ba1e61b302e2d6a895032d42dde0a8
Description: Miscellaneous add-ons for Emacs
 This package contains:
  align-string - align string components over several lines;
  all - edit all lines matching a given regexp;
  apache-mode - major mode for editing Apache configuration files;
  ascii - ASCII code display for character under point;
  auto-fill-inhibit - finer grained control over auto-fill-mode;
  bar-cursor - change your cursor to a bar instead of a block;
  bm - visible bookmarks in buffers;
  boxquote - quote texts in nice boxes;
  browse-huge-tar - browse tar files without reading them into memory;
  browse-kill-ring - browse, search, modify the kill ring;
  button-lock - clickable text defined by regular expression;
  clipper - save strings of data for further use;
  coffee - now Emacs can even brew coffee;
  color-theme - changes the colors used within Emacs;
  csv-mode - major mode for comma-separated value files;
  ctypes - enhanced Font lock support for custom defined types;
  dedicated - make a window dedicated to a single buffer;
  df - display in the mode line space left on devices;
  diminish - shorten or erase modeline presence of minor modes;
  dir-locals - provides directory-wide local variables;
  edit-env - display, edit, delete and add environment variables;
  egocentric - highlight your name inside emacs buffers;
  eproject - assign files to projects, programatically
  ff-paths - $PATH-like searching in C-x C-f;
  filladapt - enhances Emacs's built-in adaptive fill;
  floatbg - slowly modify background color;
  framepop - display temporary buffers in a dedicated frame;
  graphviz-dot-mode.el - mode for the dot-language used by graphviz (att).
  highlight-beyond-fill-column - highlight lines that are too long;
  highlight-completion - highlight completions in the minibuffer;
  highlight-current-line - highlight line where the cursor is;
  home-end - alternative Home and End commands;
  htmlize - HTML-ize font-lock buffers;
  initsplit - split customizations into different files;
  joc-toggle-buffer - fast switching between two buffers;
  joc-toggle-case - a set of functions to toggle the case of characters;
  keydef - a simpler way to define key mappings;
  keywiz - Emacs key sequence quiz;
  lcomp - list-completion hacks;
  maplev - major mode for Maple;
  map-lines - map a command over lines matching a regexp;
  marker-visit - navigate through a buffer's marks in order;
  matlab - major mode for MatLab dot-m files;
  minibuf-electric -  electric minibuffer behavior from XEmacs;
  minibuffer-complete-cycle - cycle through the *Completions* buffer;
  miniedit - enhanced editing for minibuffer fields;
  mutt-alias - lookup and insert the expansion of mutt mail aliases;
  muttrc-mode - major mode for editing Mutt config files;
  obfusurl - obfuscate an URL;
  pack-windows - resize all windows to display as much info as possible;
  perldoc - show help for Perl functions and modules. (Depends on perl-doc);
  pod-mode - major mode for editing POD files;
  pp-c-l - display Control-l characters in a pretty way;
  projects - create project-based meaningful buffer names;
  prot-buf - protect buffers from accidental killing;
  protocols - perform lookups in /etc/protocols;
  quack - enhanced support for editing and running Scheme code;
  rfcview - view IETF RFCs with readability-improved formatting;
  services - perform lookups in /etc/services;
  session - saves settings between Emacs invocations and visits to a file;
  setnu - setnu-mode, a vi-style line number mode;
  shell-command - enables tab-completion for shell-command;
  show-wspace - highlight whitespaces of various kinds;
  silly-mail - generate bozotic mail headers;
  slang-mode.el - a major-mode for editing S-Lang scripts;
  sys-apropos - interface for the *nix apropos command;


Here is the newer package that causes the problem. You can see that it has more dependencies.
Code: Select all
Package: emacs-goodies-el
Version: 41.0
Installed-Size: 145
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Architecture: all
Replaces: emacs-goodies-extra-el
Provides: emacs-goodies-extra-el
Depends: emacs | emacsen, emacsen-common (>= 3.0.2), bash (>= 2.05a) | bash-static, dpkg (>= 1.15.4) | install-info, elpa-browse-kill-ring, elpa-diminish, elpa-htmlize, elpa-markdown-mode, elpa-debian-el, elpa-dpkg-dev-el, elpa-csv-mode, elpa-graphviz-dot-mode, elpa-apache-mode, elpa-boxquote, elpa-session, elpa-pod-mode, elpa-tabbar, elpa-eproject, elpa-initsplit, elpa-devscripts, elpa-bar-cursor
Recommends: wget, perl-doc, elpa-bm, elpa-mutt-alias
Description-en: Miscellaneous add-ons for Emacs
 This package contains:
  ff-paths - $PATH-like searching in C-x C-f;
  projects - create project-based meaningful buffer names;
 .
 See /usr/share/doc/emacs-goodies-el/README.Debian.gz for a short
 description of all files, or the Info node `emacs-goodies-el' for details.
Description-md5: afa048eb545519ea269641c108dab29f
Tag: devel::editor, implemented-in::lisp, role::plugin, role::program,
 suite::debian, suite::emacs, use::editing, works-with::text
Section: lisp
Priority: optional
Filename: pool/main/e/emacs-goodies-el/emacs-goodies-el_41.0_all.deb
Size: 69416
MD5sum: ed67f99d8d18b80c90e8293264e93081
SHA256: 7bf08dedd16a05f743de8464a4173bceec844a6ee0b9313b49e813aff0423e5f

MagicPoulp
 
Posts: 23
Joined: 2018-11-05 21:30

Re: installing a testing package emacs25 corrupts at totally

Postby MagicPoulp » 2018-11-06 11:07

The problem does not happen in debian:stretch when using docker. But the stretch in docker is modified by docker.

I got the problem using VMWare, with open-vm-tools installed, and with XFCE installed from the graphical installer. open-vm-tools has no dependencies.
Last edited by MagicPoulp on 2018-11-06 11:19, edited 1 time in total.
MagicPoulp
 
Posts: 23
Joined: 2018-11-05 21:30

Re: installing a testing package emacs25 corrupts at totally

Postby dilberts_left_nut » 2018-11-06 11:18

MagicPoulp wrote:8 months ago I installed this package emacs-goodies-el and it worked fine. Version: 36.3+nmu1
Of course, that is the version in stretch.
MagicPoulp wrote:Here is the newer package that causes the problem. You can see that it has more dependencies.
...
Version: 41.0
That is the version from buster, so of course it has dependencies on the buster base system, and will break stretch if you install it.

Still it can help move forward the testing branch to fix this issue
There is no issue to be fixed - unless it doesn't work with buster ... which it does.

You can fix your issue by not mixing branches.
AdrianTM wrote:There's no hacker in my grandma...
User avatar
dilberts_left_nut
 
Posts: 4902
Joined: 2009-10-05 07:54
Location: enzed

Re: installing a testing package emacs25 corrupts at totally

Postby MagicPoulp » 2018-11-06 11:27

That is the version from buster, so of course it has dependencies on the buster base system, and will break stretch if you install it.


OK thanks for the clarification. So I won't create a bug ticket.

I understand now that stuff from testing is more likely to work if one is not one release behind.

I could not create the dotty graph of dependencies. But this package version is found by apt-cache show -t testing emacs-goodies-el=41.0
apt-cache dotty emacs-goodies-el=41.0
> Unable to locate package emacs-goodies-el=41.0

I wanted to know what requires the libapt-pkg-perl that is new with this version 41.0.
MagicPoulp
 
Posts: 23
Joined: 2018-11-05 21:30

Re: installing a testing package emacs25 corrupts at totally

Postby debiman » 2018-11-07 06:29

MagicPoulp wrote:Quite annoying that one cannot install a basic program like emacs25.
thanks, i now got coffee on my screen.

MagicPoulp wrote:OK thanks for the clarification. So I won't create a bug ticket.
phew!
Image

I understand now that stuff from testing is more likely to work if one is not one release behind.
what do you mean by "one release behind"? and behind what?
why don't you just admit that you were wrong?
or are you running jessie?
User avatar
debiman
 
Posts: 3015
Joined: 2013-03-12 07:18

Re: installing a testing package emacs25 corrupts at totally

Postby MagicPoulp » 2018-11-07 08:38

what do you mean by "one release behind"? and behind what?
why don't you just admit that you were wrong?
or are you running jessie?


When stretch was just released, it was much less risky to fetch single packages from testing compared to now. The next release buster is not released yet. So not "formally" one release behind. But you already know that. You need to see the poetry in not using ultra precise expression. "One release behind" is a metaphor not a fact.

Using pinning to fetch single packages from testing is not wrong or good. I have used it a lot to get experimental packages. But yes it is not supported and risky and not encouraged. One can sandbox using a VM or docker.

https://wiki.debian.org/AptPreferences

"Pinning allows you to pull particular packages from one version (e.g., stable, testing, unstable) without running your entire system from that version. Pinning is usually (though not always) used to pull one or more packages from a later version, in order to access more up-to-date versions of packages: unstable is considered later than testing which is later than stable. However, packages have dependencies which can conflict, so pinning (i.e., not pulling all your packages from one version) can cause problems. Accordingly, before you consider pinning, check to see if the version of the package that you want has been backported to the version from which you are already pulling packages. "
MagicPoulp
 
Posts: 23
Joined: 2018-11-05 21:30

Re: installing a testing package emacs25 corrupts at totally

Postby pylkko » 2018-11-07 08:46

You can also backport it or perhaps it is already and available in the backports repository. Although, since EMACS is a typical example of the "do one thing and do it well" design ethic, it might not be that straightforward (sarcasm).
User avatar
pylkko
 
Posts: 1352
Joined: 2014-11-06 19:02

Next

Return to General Questions

Who is online

Users browsing this forum: No registered users and 14 guests

fashionable